Skip to main content
GET
/
api
/
v1
/
businesses
/
{businessId}
/
appointments
Error
A valid request URL is required to generate request examples
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "Discovery Call",
      "description": "<string>",
      "scheduledAt": "2023-11-07T05:31:56Z",
      "timezone": "America/New_York",
      "duration": 30,
      "status": "BOOKED",
      "location": "<string>",
      "meetingUrl": "<string>",
      "notes": "<string>",
      "cancellationReason": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key prefixed with sk-ak-. Pass as Authorization: Bearer sk-ak-...

Path Parameters

businessId
string<uuid>
required

The business ID

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
limit
integer
default:20

Items per page

Required range: 1 <= x <= 100
contactId
string<uuid>

Filter by contact

status
enum<string>
Available options:
BOOKED,
RESCHEDULED,
CANCELLED,
COMPLETED
from
string<date-time>

Start of date range (ISO 8601)

to
string<date-time>

End of date range (ISO 8601)

sort
enum<string>
default:-scheduledAt
Available options:
scheduledAt,
-scheduledAt,
createdAt,
-createdAt

Response

Paginated list of appointments

data
object[]
pagination
object